<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaAvail StructType
 * @subpackage Structs
 */
class VisaAvail extends AbstractStructBase
{
    /**
     * The VisaAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaAvailabilityRQ
     */
    public $VisaAvailRQ;
    /**
     * Constructor method for VisaAvail
     * @uses VisaAvail::setVisaAvailRQ()
     * @param \StructType\JP_VisaAvailabilityRQ $visaAvailRQ
     */
    public function __construct(\StructType\JP_VisaAvailabilityRQ $visaAvailRQ = null)
    {
        $this
            ->setVisaAvailRQ($visaAvailRQ);
    }
    /**
     * Get VisaAvailRQ value
     * @return \StructType\JP_VisaAvailabilityRQ|null
     */
    public function getVisaAvailRQ()
    {
        return $this->VisaAvailRQ;
    }
    /**
     * Set VisaAvailRQ value
     * @param \StructType\JP_VisaAvailabilityRQ $visaAvailRQ
     * @return \StructType\VisaAvail
     */
    public function setVisaAvailRQ(\StructType\JP_VisaAvailabilityRQ $visaAvailRQ = null)
    {
        $this->VisaAvailRQ = $visaAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
